Bug 97418 - rpmbuild -ta leaves garbage in ./SPECS/ when no .spec fie found
rpmbuild -ta leaves garbage in ./SPECS/ when no .spec fie found
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
8.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-15 01:26 EDT by R P Herrold
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-19 11:26:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2003-06-15 01:26:10 EDT
reproduceable case:

bash-2.05b$ pwd
/home/herrold/rpmbuild/SPECS
bash-2.05b$ cd
bash-2.05b$ cd rpmbuild/
bash-2.05b$ cd SPECS/
bash-2.05b$ rm -rf tar\:\ \*.spec\:\ Not\ found\ in\ archive
bash-2.05b$ ls ../../*gz
../../libtextcat-2.1.tar.gz
bash-2.05b$ rpmbuild  -ta ../../libtextcat-2.1.tar.gz
error: Name field must be present in package: (main package)
error: Version field must be present in package: (main package)
error: Release field must be present in package: (main package)
error: Summary field must be present in package: (main package)
error: Group field must be present in package: (main package)
error: License field must be present in package: (main package)
bash-2.05b$ ls -al t*
-rw-r--r--    1 herrold  herrold         0 Jun 15 01:25 tar: *.spec: Not found
in archive
-rw-r--r--    1 herrold  herrold      2667 Mar  2 13:29 template.spec
bash-2.05b$

--------------------

the leakage looks to be cureable with a 2> /dev/null in the test for the *.spec fine
Comment 1 Jeff Johnson 2003-06-19 11:26:26 EDT
Yup. Bug is a test for wannabe rpm hackers, you just qualified. ;-)

Nope, no way to fix, there's other breakage too. The real fix is
just to rip out tarbuilds and replace with a script. Not hard,
but, well, it's rpm.

Note You need to log in before you can comment on or make changes to this bug.